#version 330 core

uniform vec4 u_color;
uniform vec4 u_colorCover;
uniform sampler2D u_texture;

in vec2 i_uv;

out vec4 FragColor;

void main()
{
	FragColor = (u_color * texture(u_texture, i_uv));
	FragColor.rgb = FragColor.rgb + u_colorCover.rgb;

	if (FragColor.a == 0.0f) discard;
}
